## org.eclipse.m2m.atl.dsls.tcs.extractor
Class PrettyPrinter

    java.lang.Object
      org.eclipse.m2m.atl.dsls.tcs.extractor.PrettyPrinter

    public class PrettyPrinter

extends java.lang.Object

Constructor Summary
`PrettyPrinter()`

Method Summary
`void` `prettyPrint(java.lang.Object source, ModelAdapter ma, java.io.OutputStream target, java.util.Map arguments)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrettyPrinter

    public PrettyPrinter()

Method Detail

### prettyPrint

    public void prettyPrint(java.lang.Object source,
                            ModelAdapter ma,
                            java.io.OutputStream target,
                            java.util.Map arguments)

Copyright 2007 IBM Corporation and others. All Rights Reserved.